Debian Bug report logs - #439433
uswsusp: Init RAM disk not created

version graph

Package: uswsusp; Maintainer for uswsusp is Rodolfo García Peñas (kix) <kix@debian.org>; Source for uswsusp is src:uswsusp.

Reported by: Nate Bargmann <n0nb@networksplus.net>

Date: Sat, 25 Aug 2007 02:51:01 UTC

Severity: important

Found in version uswsusp/0.6~cvs20070618-1

Fixed in version uswsusp/0.7-1

Done: Tim Dijkstra <tim@famdijkstra.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#439433; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Nate Bargmann <n0nb@networksplus.net>:
New Bug report received and forwarded. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nate Bargmann <n0nb@networksplus.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: uswsusp: Init RAM disk not created
Date: Fri, 24 Aug 2007 21:49:14 -0500
Package: uswsusp
Version: 0.6~cvs20070618-1
Severity: important


So far I have not been able to get uswsusp to create an initrd for 
kernel 2.6.22 despite running dpkg-reconfigure -p low uswsusp several times.
Even with initramfs-tools installed the initrd image is not created.

No error messages are reported.  s2disk writes the suspend image to swap,
but no resume can take place and the swap must be reinitialized.

- Nate >>

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages uswsusp depends on:
ii  debconf [debconf-2.0]   1.5.14           Debian configuration management sy
ii  libc6                   2.6.1-1+b1       GNU C Library: Shared libraries
ii  libgcc1                 1:4.2.1-4        GCC support library
ii  libgcrypt11             1.2.4-2          LGPL Crypto library - runtime libr
ii  libsplashy1             0.3.5            Library to draw splash screen on b
ii  libx86-1                0.99-1.2         x86 real-mode library
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

Versions of packages uswsusp recommends:
ii  initramfs-tools               0.90a      tools for generating an initramfs
ii  mount                         2.13~rc3-6 Tools for mounting and manipulatin

-- debconf information:
* uswsusp/suspend_loglevel:
  uswsusp/no_swap:
  uswsusp/resume_offset:
* uswsusp/early_writeout: true
* uswsusp/image_size: 365555302
* uswsusp/snapshot_device:
* uswsusp/max_loglevel:
  uswsusp/shutdown_method: platform
* uswsusp/encrypt: false
  uswsusp/RSA_key_bits: 1024
* uswsusp/continue_without_swap: true
* uswsusp/compute_checksum: true
  uswsusp/no_snapshot:
* uswsusp/compress: true
  uswsusp/create_RSA_key: false
  uswsusp/RSA_key_file: /etc/uswsusp.key
* uswsusp/resume_device: /dev/hda2
* uswsusp/splash: false



Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#439433; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Nate Bargmann <n0nb@networksplus.net>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #10 received at 439433@bugs.debian.org (full text, mbox):

From: Nate Bargmann <n0nb@networksplus.net>
To: Debian Bug Tracking System <439433@bugs.debian.org>
Subject: uswsusp: Please warn about yaird created initrd
Date: Fri, 24 Aug 2007 22:56:10 -0500
Package: uswsusp
Version: 0.6~cvs20070618-1
Followup-For: Bug #439433


Along the line yaird was installed on my system and used to create the
initrd image.  This caused uswsusp to fail silently without any output
indicating that a yaird image is incompatible.  

My solution was to remove the yaird package and then recreate the
initrd image by reconfiguring the kernel package.  Then reconfiguring
uswsusp rebuilt the initrd and now suspend to disk and resume work as
exoected.

Please note this incompatibility in the README.Debian until yaird is
useful with this package.

Thanks!

- Nate >>

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages uswsusp depends on:
ii  debconf [debconf-2.0]   1.5.14           Debian configuration management sy
ii  libc6                   2.6.1-1+b1       GNU C Library: Shared libraries
ii  libgcc1                 1:4.2.1-4        GCC support library
ii  libgcrypt11             1.2.4-2          LGPL Crypto library - runtime libr
ii  libsplashy1             0.3.5            Library to draw splash screen on b
ii  libx86-1                0.99-1.2         x86 real-mode library
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

Versions of packages uswsusp recommends:
ii  initramfs-tools               0.90a      tools for generating an initramfs
ii  mount                         2.13~rc3-6 Tools for mounting and manipulatin

-- debconf information:
* uswsusp/suspend_loglevel:
  uswsusp/no_swap:
  uswsusp/resume_offset:
* uswsusp/early_writeout: true
* uswsusp/image_size: 365555302
* uswsusp/snapshot_device:
* uswsusp/max_loglevel:
  uswsusp/shutdown_method: platform
* uswsusp/encrypt: false
  uswsusp/RSA_key_bits: 1024
* uswsusp/continue_without_swap: true
* uswsusp/compute_checksum: true
  uswsusp/no_snapshot:
* uswsusp/compress: true
  uswsusp/create_RSA_key: false
  uswsusp/RSA_key_file: /etc/uswsusp.key
* uswsusp/resume_device: /dev/hda2
* uswsusp/splash: false



Tags added: pending Request was from Tim Dijkstra <tim@famdijkstra.org> to control@bugs.debian.org. (Thu, 13 Sep 2007 18:51:02 GMT) Full text and rfc822 format available.

Reply sent to Tim Dijkstra <tim@famdijkstra.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nate Bargmann <n0nb@networksplus.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 439433-close@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: 439433-close@bugs.debian.org
Subject: Bug#439433: fixed in uswsusp 0.7-1
Date: Mon, 17 Sep 2007 13:02:03 +0000
Source: uswsusp
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
uswsusp, which is due to be installed in the Debian FTP archive:

uswsusp_0.7-1.diff.gz
  to pool/main/u/uswsusp/uswsusp_0.7-1.diff.gz
uswsusp_0.7-1.dsc
  to pool/main/u/uswsusp/uswsusp_0.7-1.dsc
uswsusp_0.7-1_i386.deb
  to pool/main/u/uswsusp/uswsusp_0.7-1_i386.deb
uswsusp_0.7.orig.tar.gz
  to pool/main/u/uswsusp/uswsusp_0.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439433@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tim Dijkstra <tim@famdijkstra.org> (supplier of updated uswsusp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 13 Sep 2007 22:18:46 +0200
Source: uswsusp
Binary: uswsusp
Architecture: source i386
Version: 0.7-1
Distribution: unstable
Urgency: low
Maintainer: Tim Dijkstra <tim@famdijkstra.org>
Changed-By: Tim Dijkstra <tim@famdijkstra.org>
Description: 
 uswsusp    - tools to use userspace software suspend provided by Linux
Closes: 411061 432018 434630 434667 436064 436534 439433 439928 441186 441310
Changes: 
 uswsusp (0.7-1) unstable; urgency=low
 .
   * New upstream. For the impatient: this closes: #441310.
   * We now depend on liblzo2 for compression, this means we remove
     liblz from the source package.
   * We can now stop suspend while using libsplashy (closes: #411061)
   * Updated s2ram manpage.
   * Add debconf translation (closes: #434667)
   * Updated whitelist (closes: #432018, 434630, 436064)
   * Fixed bad English (closes: #436534)
   * Some people think debian needs a capital (closes: #441186)
   * Change docs to use the name of the configuration file in debian
     (closes: #439928)
   * Document lack of yaird support (closes: #439433)
   * Call update-initramfs without `-k all'
   * Document that change in NEWS
Files: 
 913925cf5a963d12b4dfbe6a327c2eaa 712 admin optional uswsusp_0.7-1.dsc
 ecc1b0f1bc59eebd1328390e6612c7a4 107669 admin optional uswsusp_0.7.orig.tar.gz
 4524c46c593a9be9bc6c0109d97b7a80 55099 admin optional uswsusp_0.7-1.diff.gz
 e478a224a46c4c3eb93aac788f14f1bf 167968 admin optional uswsusp_0.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG7nZuLqiZQEml+FURAnm+AJ0XwOmOHaZNKx1qPlBMR8ZpErDYdQCfdfxx
7zX3lwqdmG8DGocUUW9DEk4=
=RYXx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Oct 2007 07:27:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:35:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.